Skip to main content
`Ctrl`+`K`

# DMExtrude

Extrude a `DM` object from a surface

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMExtrude(DM dm, PetscInt layers, DM *dme)

Collective

## Input Parameters

- dm - the `DM` object

- layers - the number of extruded cell layers

## Output Parameter

- dme - the extruded `DM`, or `NULL`

## Note

If no extrusion was done, the return value is `NULL`

## See Also

DM Basics, `DM`, `DMRefine()`, `DMCoarsen()`, `DMDestroy()`, `DMView()`, `DMCreateGlobalVector()`

## Level

developer

## Location

src/dm/interface/dm.c

## Implementations

DMExtrude_Plex() in src/dm/impls/plex/plexextrude.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages